# ATISeparateStencil (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ATISeparateStencil

    java.lang.Object
      org.lwjgl.opengl.ATISeparateStencil

    public final class ATISeparateStencil

extends java.lang.Object

Field Summary
`static int` `GL_STENCIL_BACK_FAIL_ATI`
`static int` `GL_STENCIL_BACK_FUNC_ATI`
`static int` `GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI`
`static int` `GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI`

Method Summary
`static void` `glStencilFuncSeparateATI(int frontfunc, int backfunc, int ref, int mask)`
`static void` `glStencilOpSeparateATI(int face, int sfail, int dpfail, int dppass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_STENCIL_BACK_FUNC_ATI

    public static final int GL_STENCIL_BACK_FUNC_ATI

See Also:
  Constant Field Values

### GL_STENCIL_BACK_FAIL_ATI

    public static final int GL_STENCIL_BACK_FAIL_ATI

See Also:
  Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI

    public static final int GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI

See Also:
  Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI

    public static final int GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI

See Also:
  Constant Field Values

Method Detail

### glStencilOpSeparateATI

    public static void glStencilOpSeparateATI(int face,
                                              int sfail,
                                              int dpfail,
                                              int dppass)

### glStencilFuncSeparateATI

    public static void glStencilFuncSeparateATI(int frontfunc,
                                                int backfunc,
                                                int ref,
                                                int mask)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.